<header>
  <h1 class="mat-display-1">Wizbii Wallet</h1>
  <h2 class="mat-h2">Connexion</h2>
</header>

<main>
  <mat-card>
    <mat-card-content>
      <form [formGroup]="signInForm" (ngSubmit)="submitForm(signInForm)">
        <mat-form-field>
          <mat-label>ID du Wallet</mat-label>
          <input matInput placeholder="123456789" formControlName="walletId" />
          <mat-error *ngIf="walletId?.errors?.required">Le wallet id est requis</mat-error>
        </mat-form-field>

        <button mat-raised-button color="primary">Me connecter</button>
      </form>

      <mat-card-footer>
        <p *ngIf="errorMessage$ | async as errorMessage">{{ errorMessage }}</p>
      </mat-card-footer>
    </mat-card-content>
  </mat-card>
</main>
